botruntime
API ReferenceAdmin API

Get Audit Records

Get the audit records of a workspace, sorted from most recent to oldest.

GET
/v1/admin/workspaces/{id}/audit-records

Path Parameters

id*string

Workspace ID

Query Parameters

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

Header Parameters

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/workspaces/string/audit-records"
{  "records": [    {      "id": "string",      "recordedAt": "2019-08-24T14:15:22Z",      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",      "userEmail": "string",      "resourceId": "string",      "resourceName": "string",      "value": "string",      "action": "UNKNOWN"    }  ],  "meta": {    "nextToken": "string"  }}
{  "records": [    {      "id": "string",      "recordedAt": "2019-08-24T14:15:22Z",      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",      "userEmail": "string",      "resourceId": "string",      "resourceName": "string",      "value": "string",      "action": "UNKNOWN"    }  ],  "meta": {    "nextToken": "string"  }}